ALTER TABLE DATOTEKE_KUPCEV
ADD ID_DN NUMBER;

ALTER TABLE DATOTEKE_KUPCEV
ADD ID_STORITVE NUMBER;

DROP VIEW V_DATOTEKE_KUPCEV;

CREATE OR REPLACE VIEW V_DATOTEKE_KUPCEV AS (
SELECT D.ID_DATOTEKE_KUPCEV, D.ID_KUPCA, D.VRSTA, D.DATOTEKA, D.IME_DATOTEKE, D.KONCNICA, D.KOMENTAR, D.USER_KREIRANJA, D.DATUM_KREIRANJA, 
D.USER_SPREMEMBE, D.DATUM_SPREMEMBE, D.STATUS, D.VALID, D.FILE_REFERENCE, D.ID_POGODBE, D.ISSUE_DATE, D.ID_DN, D.ID_STORITVE,
N.OPIS AS VRSTA_OPIS, N.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM DATOTEKE_KUPCEV D
LEFT OUTER JOIN NNDATOTEKE_KUPCEV_VRSTA N ON N.SIFRA = D.VRSTA
LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_KUPCA
);

INSERT INTO NNDATOTEKE_KUPCEV_VRSTA(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('WOD', 'Work order document', 'Work order document', 'Y');

INSERT INTO NNDATOTEKE_KUPCEV_VRSTA(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('SED', 'Service document', 'Service document', 'Y');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PWS', 'Portal work order document signature', 'Portal work order document signature', 'Y');

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('WORK_ORDER_SIGNATURE_PORTAL', 'Portal work order document signature', 'Portal work order document signature', 'Y', 3);

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) 
VALUES ('PWS', 'Portal work order document signature', 'Portal work order document signature');

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('PSS', 'Portal service document signature', 'Portal service document signature', 'Y');

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('SERVICE_SIGNATURE_PORTAL', 'Portal service document signature', 'Portal service document signature', 'Y', 3);

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) 
VALUES ('PSS', 'Portal service document signature', 'Portal service document signature');

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('WSS', 'Work order document signature success', 'Work order document signature success', 'Y');

INSERT INTO NNWEB_PAGE_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('SSS', 'Service document signature success', 'Service document signature success', 'Y');

ALTER TABLE M_DE_NA
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE M_DE_NA M
SET M.ID_HASH = ORA_HASH (M.ID_DN || SYSTIMESTAMP || SYS_GUID ())
WHERE M.ID_HASH IS NULL;

UPDATE M_DE_NA M
SET M.ID_HASH = (CASE WHEN LENGTH(M.ID_HASH) < 50 THEN LPAD(M.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(M.ID_HASH) END)       
WHERE LENGTH(M.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER M_DE_NA_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON M_DE_NA
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID_DN || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;


ALTER TABLE M_STORITVE
ADD ID_HASH VARCHAR2(50 CHAR);

UPDATE M_STORITVE M
SET M.ID_HASH = ORA_HASH (M.ID_STORITVE || SYSTIMESTAMP || SYS_GUID ())
WHERE M.ID_HASH IS NULL;

UPDATE M_STORITVE M
SET M.ID_HASH = (CASE WHEN LENGTH(M.ID_HASH) < 50 THEN LPAD(M.ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(M.ID_HASH) END)       
WHERE LENGTH(M.ID_HASH) < 50;

CREATE OR REPLACE
TRIGGER M_STORITVE_ID_HASH_TRG
BEFORE INSERT OR UPDATE
ON M_STORITVE
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
   ID_HASH VARCHAR2(50);;
BEGIN
	IF (:NEW.ID_HASH IS NULL) THEN
      SELECT ORA_HASH (:NEW.ID_STORITVE || SYSTIMESTAMP || SYS_GUID ()) INTO ID_HASH FROM DUAL;;
      :NEW.ID_HASH := (CASE WHEN LENGTH(ID_HASH) < 50 THEN LPAD(ID_HASH,50,ABS(DBMS_RANDOM.RANDOM)) ELSE TO_CHAR(ID_HASH) END);;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1452, SYSDATE, '5.5', 1372, 'Work order and service signature')
;
