CREATE TABLE CHARTER_STATUS (
  ID_CHARTER_STATUS NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  COLOR VARCHAR2(20 CHAR),
  TEXT_COLOR VARCHAR2(20 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT CHARTER_STATUS_PK PRIMARY KEY (ID_CHARTER_STATUS)
);

INSERT INTO CHARTER_STATUS(ID_CHARTER_STATUS, DESCRIPTION, ACTIVE) VALUES
(-1, 'Cancelled', 'Y');

INSERT INTO CHARTER_STATUS(ID_CHARTER_STATUS, DESCRIPTION, ACTIVE) VALUES
(1, 'Open', 'Y');

INSERT INTO CHARTER_STATUS(ID_CHARTER_STATUS, DESCRIPTION, ACTIVE) VALUES
(2, 'Confirmed', 'Y');

INSERT INTO CHARTER_STATUS(ID_CHARTER_STATUS, DESCRIPTION, ACTIVE) VALUES
(3, 'Completed', 'Y');

INSERT INTO CHARTER_STATUS(ID_CHARTER_STATUS, DESCRIPTION, ACTIVE) VALUES
(-10, 'Deleted', 'N');

CREATE SEQUENCE CHARTER_STATUS_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 20 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE REZERVACIJE
ADD STATUS NUMBER CONSTRAINT REZERVACIJE_STATUS_FK REFERENCES CHARTER_STATUS(ID_CHARTER_STATUS);

CREATE INDEX IX_REZERVACIJE_STATUS ON REZERVACIJE (STATUS);

UPDATE CHARTER_STATUS
SET COLOR = '255,255,0'
WHERE ID_CHARTER_STATUS = 1
AND COLOR IS NULL;

UPDATE CHARTER_STATUS
SET TEXT_COLOR = '0,0,0'
WHERE ID_CHARTER_STATUS = 1
AND TEXT_COLOR IS NULL;

UPDATE REZERVACIJE
SET STATUS = 1
WHERE TIP = 'REZERVACIJA'
AND STATUS IS NULL;

UPDATE REZERVACIJE
SET STATUS = -10
WHERE TIP = 'STORNO'
AND STATUS IS NULL;


DROP VIEW V_REZERVACIJE;

CREATE OR REPLACE VIEW V_REZERVACIJE AS (
	SELECT R.IDPLOVILA, R.IDKUPCA, R.DATUM_OD, R.DATUM_DO, R.TIP, R.AKTIVEN, R.OPIS, R.ID_REZERVACIJE, R.PONUDBA, R.ZNESEK_PLACILA, R.ID_SALDKONT, R.VELJADO, R.ST_POGODBE, R.ZASEDENA, R.NEPLACANO, R.IDAGENCIJE, R.STATUS,
	P.IME AS PLOVILA_IME, P.DOLZINA AS PLOVILA_DOLZINA, P.SIRINA AS PLOVILA_SIRINA, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, CS.DESCRIPTION AS STATUS_DESCRIPTION, CS.COLOR AS STATUS_COLOR, CS.TEXT_COLOR AS STATUS_TEXT_COLOR
	FROM REZERVACIJE R
  LEFT OUTER JOIN PLOVILA P ON P.ID = R.IDPLOVILA
  LEFT OUTER JOIN KUPCI K ON K.ID = R.IDKUPCA
  LEFT OUTER JOIN CHARTER_STATUS CS ON CS.ID_CHARTER_STATUS = R.STATUS
);

INSERT INTO NNEMAIL_TEMPLATE_TYPE(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
('CHR', 'Charter reservation', 'Charter reservation', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1492, SYSDATE, '5.5', 1412, 'Charter status')
;