CREATE TABLE M_PRICE_LIST (
ID_PRICELIST NUMBER NOT NULL,
FROM_DATE DATE,
TO_DATE DATE,
DESCRIPTION VARCHAR2(200 CHAR),
USER_CREATE VARCHAR2(30 CHAR),
DATE_CREATE DATE,
CONSTRAINT PK_M_PRICE_LIST PRIMARY KEY(ID_PRICELIST)
)
;

CREATE SEQUENCE M_PRICE_LIST_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 2 NOCACHE NOORDER  NOCYCLE
;

INSERT INTO M_PRICE_LIST(ID_PRICELIST, FROM_DATE, TO_DATE, DESCRIPTION, USER_CREATE, DATE_CREATE)
VALUES
(1, TO_DATE('01.01.2000','dd.mm.yyyy'), null, 'Default price list', 'INFO', SYSDATE)
;

ALTER TABLE M_NNCENMAR
ADD ID_PRICELIST NUMBER
;

UPDATE M_NNCENMAR
SET ID_PRICELIST=1
WHERE ID_PRICELIST IS NULL
;

ALTER TABLE ASSISTANCE
 ADD DATA VARCHAR2(200 CHAR)
;

DROP VIEW V_M_NNCENMAR
;

CREATE OR REPLACE VIEW V_M_NNCENMAR AS (
	SELECT C.ID_M_NNCENMAR, C.ID_PRICELIST, C.STORITEV, C.KAT, C.TIMEKAT, C.BRUTO_DOMACA_VALUTA, C.NETO_DOMACA_VALUTA, C.PLAN_DOMACA_VALUTA, C.DAVEK, C.NNLOCATION_ID,
  NS.OPIS AS SERVICE_OPIS,
  (SELECT KAT.OPIS FROM M_NNKATEG KAT WHERE KAT.SIFRA_SKLOPA = (SELECT M.KAT FROM M_NNSTOMAR M WHERE M.SIFRA = C.STORITEV) AND KAT.SIFRA = C.KAT) AS KAT_OPIS,
  (SELECT TIMEKAT.OPIS FROM M_NNKATEG TIMEKAT WHERE TIMEKAT.SIFRA_SKLOPA = (SELECT M.TIMEKAT FROM M_NNSTOMAR M WHERE M.SIFRA = C.STORITEV) AND TIMEKAT.SIFRA = C.TIMEKAT) AS TIMEKAT_OPIS
  FROM M_NNCENMAR C
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = C.STORITEV
)
;

ALTER TABLE PRICE_LIST_PLAN
ADD ID_PRICELIST NUMBER
;

UPDATE PRICE_LIST_PLAN
SET ID_PRICELIST=1
WHERE ID_PRICELIST IS NULL
;

ALTER TABLE M_PRICE_LIST
  ADD ACT VARCHAR2(1 CHAR) DEFAULT 'Y'
;

ALTER TABLE M_NNKATEG
ADD HAS_PRICE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1765, SYSDATE, '5.5', 1685, 'Price list')
;
