ALTER TABLE NUSER
ADD SHOW_ALARM VARCHAR2(1 CHAR) DEFAULT 'Y'
;

DROP VIEW V_PREGLEDI;

CREATE OR REPLACE VIEW V_PREGLEDI AS (
  SELECT P.ID_PREGLEDI, P.ID_LASTNIKA, P.ID_PLOVILA, P.NSTANJE, P.DATUM, P.CAS, P.KOMENTAR, P.KOMENTAR1, P.DATUM_KREIRANJA, P.USER_KREIRANJA, P.LASTNIK_OBVESCEN, P.N_PRIVEZA, P.OBJEKT, P.ID_PRIVEZ, P.ID_STORITVE, P.STATUS,
  PL.IME AS PLOVILA_IME, NS.OPIS AS NSTANJE_OPIS, NS.INTERNI_OPIS AS NSTANJE_INTERNI_OPIS, NS.NSTANJE_TYPE AS NSTANJE_TYPE, NNP.NNLOCATION_ID, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK,
  (CASE WHEN P.ID_PRIVEZ IS NOT NULL THEN NP.OBJEKT ELSE P.OBJEKT END) AS NNPRIVEZ_OBJEKT, (CASE WHEN P.ID_PRIVEZ IS NOT NULL THEN NP.N_PRIVEZA ELSE P.N_PRIVEZA END) AS NNPRIVEZ_PRIVEZ,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
	FROM PREGLEDI P
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = P.ID_PLOVILA
  LEFT OUTER JOIN KUPCI KU ON KU.ID = P.ID_LASTNIKA
  LEFT OUTER JOIN NSTANJE NS ON NS.NSTANJE = P.NSTANJE
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = P.ID_PRIVEZ
  LEFT OUTER JOIN NNPOMOL NNP ON NNP.SIFRA = NP.KATEGORIJA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1877, SYSDATE, '5.5', 1797, 'NUSER')
;