DROP VIEW V_FB_ORDER;

CREATE OR REPLACE VIEW V_FB_ORDER
AS (
SELECT FO.ID_FB_ORDER, FO.ORDER_NUMBER, FO.ID_FB_TABLE, FO.ID_LASTNIKA, FO.ID_STATUS, FO.DATE_FROM, FO.DATE_TO, FO."COMMENT", FO.DATE_CREATED, FO.USER_CREATED, FO.ID_FB_RESERVATION, FO.ID_FB_LOCATION, FO.PROFIT_CENTER,
FT.DESCRIPTION AS TABLE_DESCRIPTION, FL.DESCRIPTION AS AREA_DESCRIPTION, FOS.DESCRIPTION AS STATUS_DESCRIPTION, FOS.COLOR AS STATUS_COLOR, FOS.TEXT_COLOR AS STATUS_TEXT_COLOR, U.USER_ AS USER_NAME,
KUP.YACHT_CLUB_ID AS KUPCI_YACHT_CLUB_ID, KUP.TELEX AS KUPCI_TELEX, FR.CREATED_FROM_ORDER AS RESERVATION_CREATED_FROM_ORDER, PC.OPIS AS NNPC_OPIS,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUP.IME || ' ' || KUP.PRIIMEK) ELSE (KUP.PRIIMEK || ' ' || KUP.IME) END) AS OWNER
FROM FB_ORDER FO
LEFT OUTER JOIN FB_TABLE FT ON FT.ID_FB_TABLE = FO.ID_FB_TABLE
LEFT OUTER JOIN FB_LOCATION FL ON FL.ID_FB_LOCATION = FO.ID_FB_LOCATION
LEFT OUTER JOIN FB_RESERVATION FR ON FR.ID_FB_RESERVATION = FO.ID_FB_RESERVATION
LEFT OUTER JOIN FB_ORDER_STATUS FOS ON FOS.ID_FB_ORDER_STATUS = FO.ID_STATUS
LEFT OUTER JOIN NUSER U ON U.NUSER = FO.USER_CREATED
LEFT OUTER JOIN KUPCI KUP ON KUP.ID = FO.ID_LASTNIKA
LEFT OUTER JOIN NNPC PC ON FO.PROFIT_CENTER = PC.SIFRA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2043, SYSDATE, '5.5', 1963, 'VFbOrder')
;
