CREATE TABLE ALARM_CHECK (
SIFRA VARCHAR2(50 CHAR) NOT NULL,
OPIS VARCHAR2(100 CHAR) NOT NULL,
INTERNI_OPIS VARCHAR2(100 CHAR) NOT NULL,
PERIOD_TOLERANCE NUMBER DEFAULT 7,
AMOUNT_TOLERANCE NUMBER DEFAULT 10,
ACTIVE VARCHAR2(1 CHAR) NOT NULL,
CONSTRAINT PK_ALARM_CHECK PRIMARY KEY (SIFRA));

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('CONTRACT_BERTH', 'Contract vessels returns', 'Contract vessels returns', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('CONTRACT_EXPIRED', 'Contract expires', 'Contract expires', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('CONTRACT_INVOICED', 'Contract invoice', 'Contract invoice', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('OWNER_BIRTHDAY', 'Owners birthday', 'Owners birthday', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_INSURANCE', 'Vessel insurance', 'Vessel insurance', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_REGISTRATION', 'Vessel registration', 'Vessel registration', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_SERVICE', 'Vessel service', 'Vessel service', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('OWNER_SALDKONT_OVERDUE', 'Invoices', 'Invoices', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_OPEN_SERVICES', 'Open services', 'Open services', 'Y');
INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES 
('VESSEL_OPEN_WORK_ORDER', 'Open work orders', 'Open work orders', 'Y');

ALTER TABLE ALARM_DATA
  ADD DATA_CHECK VARCHAR2(250 CHAR);

ALTER TABLE ALARM_HISTORY
  ADD DATA_CHECK VARCHAR2(250 CHAR);

DROP VIEW V_REZERVAC;

CREATE VIEW V_REZERVAC AS (
SELECT R.ID, R.DATUM_REZERVACIJE, R.DATUM_DO, R.ID_LASTNIKA, R.ID_PLOVILA, R.NAZIV, R.PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ 
FROM REZERVAC R LEFT OUTER JOIN NNPRIVEZ NP ON R.NOBJEKT=NP.OBJEKT AND R.PRIVEZ=NP.N_PRIVEZA WHERE R.STORNO IS NULL
UNION ALL
SELECT 0 as ID, NVL(P.TRENUTNO_DO, NVL(POG.DATUM_ZACETKA, SYSDATE)) AS DATUM_REZERVACIJE, 
NVL(POG.DATUM_KONCA, SYSDATE+365) AS DATUM_DO, 
POG.ID_LASTNIKA, POG.ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ 
FROM M_POGODBE POG JOIN PLOVILA P ON POG.ID_PLOVILA=P.ID
JOIN KUPCI K ON POG.ID_LASTNIKA=K.ID 
LEFT OUTER JOIN NNPRIVEZ NP ON POG.OBJEKT=NP.OBJEKT AND POG.N_PRIVEZA=NP.N_PRIVEZA 
WHERE POG.STATUS IN ('O', 'A') 
UNION ALL
SELECT -1 as ID, SYSDATE AS DATUM_REZERVACIJE, 
NVL(P.TRENUTNO_DO, SYSDATE) AS DATUM_DO, 
P.ID_LASTNIKA, P.ID AS ID_PLOVILA, K.PRIIMEK AS NAZIV, P.IME AS PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, NP.ID_PRIVEZ
FROM PLOVILA P JOIN PRIVEZI PR ON PR.ID_PLOVILA=P.ID
JOIN KUPCI K ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNPRIVEZ NP ON P.TRENUTNI_OBJEKT_PRIVEZA=NP.OBJEKT AND P.TRENUTNA_N_PRIVEZA=NP.N_PRIVEZA 
WHERE (PR.ID_POGODBE IS NULL) AND (P.ID NOT IN (SELECT ID_PLOVILA FROM M_POGODBE WHERE STATUS IN ('O', 'A')))
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (294, SYSDATE, '5.5', 214, 'Alarmi');