CREATE TABLE NNENQUIRY_SUBJECT (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNENQUIRY_SUBJECT_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE NNENQUIRY_TERM (
	SIFRA VARCHAR2(3 CHAR),
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2(1 CHAR),
	CONSTRAINT NNENQUIRY_TERM_PK PRIMARY KEY (SIFRA)
);

CREATE TABLE ENQUIRY (
	ID_ENQUIRY NUMBER NOT NULL,
	ID_KUPCA NUMBER, 
	INITIAL_CONTACT_DATE DATE,
	BOAT_LOCATION VARCHAR2(200 CHAR),
	COMPENDIUM_RECEIVED VARCHAR2(1 CHAR),
	COMPENDIUM_RECEIVED_DATE DATE,
	CONSTRAINT ENQUIRY_KUPCI_FK FOREIGN KEY (ID_KUPCA) REFERENCES KUPCI(ID),
	CONSTRAINT ENQUIRY_PK PRIMARY KEY (ID_ENQUIRY)
);

CREATE SEQUENCE ENQUIRY_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE ENQUIRY_SUBJECT (
	ID_ENQUIRY_SUBJECT NUMBER NOT NULL,
	ID_ENQUIRY NUMBER NOT NULL,
	ENQUIRY_SUBJECT VARCHAR2(3 CHAR),
	CONSTRAINT ENQUIRY_SUBJECT_FK FOREIGN KEY (ID_ENQUIRY) REFERENCES ENQUIRY(ID_ENQUIRY),
	CONSTRAINT ENQUIRY_SUBJECT_PK PRIMARY KEY (ID_ENQUIRY_SUBJECT)
);

CREATE SEQUENCE ENQUIRY_SUBJECT_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE ENQUIRY_TERM (
	ID_ENQUIRY_TERM NUMBER NOT NULL,
	ID_ENQUIRY NUMBER NOT NULL,
	ENQUIRY_TERM VARCHAR2(3 CHAR),
	CONSTRAINT ENQUIRY_TERM_FK FOREIGN KEY (ID_ENQUIRY) REFERENCES ENQUIRY(ID_ENQUIRY),
	CONSTRAINT ENQUIRY_TERM_PK PRIMARY KEY (ID_ENQUIRY_TERM)
);

CREATE SEQUENCE ENQUIRY_TERM_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE NNACTIVITY_TYPE
ADD SIFRA VARCHAR2(3 CHAR);

UPDATE NNACTIVITY_TYPE
SET SIFRA = 'EML'
WHERE (LOWER(OPIS) LIKE '%email%'
OR LOWER(INTERNI_OPIS) LIKE '%email%')
AND SIFRA IS NULL;

ALTER TABLE NNACTIVITY_TYPE
ADD CONSTRAINT NNACTIVITY_TYPE_SIFRA_UNIQUE UNIQUE(SIFRA);

INSERT INTO NNACTIVITY_TYPE(ID_NNACTIVITY_TYPE, SIFRA, OPIS, INTERNI_OPIS, AKT)
VALUES(NNACTIVITY_TYPE_SEQ.NEXTVAL, 'EML', 'Email', 'Email', 'Y');

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (644, SYSDATE, '5.5', 564, 'Enquiry');